For the latest news and information visit The GNU Crypto project

## gnu.crypto.tool
Class SaslC

    java.lang.Object
      |
      +--gnu.crypto.tool.SaslC

All Implemented Interfaces:
  java.lang.Runnable

public class SaslC
extends java.lang.Object
implements java.lang.Runnable

A basic client-side test class to exercise SASL mechanisms.

The `main()` method accepts two arguments: the first is the number of threads, and the second is the port number on which the (local) server is listening.

Method Summary
`static void` `main(java.lang.String[] args)` Simple test client that connects to the test server over SASL connections.
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Simple test client that connects to the test server over SASL connections.

  Parameters:
    `args` - [0] the name of the SASL mechanism to exercise; [1] the number of working threads to exercise simultaneously; and [2] port number where to connect to the server.
    `java.lang.Exception`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.